# Modul for comparing (Cai-1,Cbi-1,Cai,Cbi) of a component (compL) with the next one (compR)
# Output: Ca, Cb for compL
def FuncCaCb(compL, compR, deltaCS):
	def F1(var1,var2):		
		if all([var1!=[],var2!=[]]): # Cai(L) and Cai-1(R) not [] 
			if abs(var1-var2) < deltaCS: return var1 # if the difference is less then 0.5 ppm: take Cai
			else: return var2 # if the difference is more, Cai-1 more reliable
		elif var2!=[]: return var2 # Cai(L) missing
		elif var1!=[]: return var1 # Cai-1(R) missing
		else: return 0	# no information

	# Check if compL is a Gly
	if all([compL[2]>45,compL[2]<56,compL[3]==[]]):	return compL[2],0
	else: 	
		ca = F1(compL[2],compR[0])
		cb = F1(compL[3],compR[1])
		return ca,cb

if __name__ == "__main__":
	import pdb

	
	
