#==Peak picking of a shape
from numpy import array, std

#==Function gives as an output ALL peaks
# signal -> shape (list)
def Peak4Shabba(signal, SW, MAX):
	PeakPos = [x for x in range(1,len(signal)-1) if all([signal[x] > signal[x-1],signal[x] > signal[x+1]])]
	PeakInt = [signal[x] for x in range(1,len(signal)-1) if all([signal[x] > signal[x-1],signal[x] > signal[x+1]])]
	nrmPeakInt = [round(x*100/max(PeakInt),1) for x in PeakInt]	
	Peakppm = [x*(-SW/(len(signal)-1))+MAX for x in PeakPos]
	
	return [PeakPos, Peakppm, nrmPeakInt]

